Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class Util.ProcessWithErrorHandler

    java.lang.Object
      java.lang.Process
          php.java.bridge.Util.Process
              php.java.bridge.Util.ProcessWithErrorHandler

Enclosing class:
  Util

    public static class Util.ProcessWithErrorHandler

extends Util.Process

Starts a CGI process with an error handler attached and returns the process handle.

Nested Class Summary
`static class` | `Util.ProcessWithErrorHandler.PhpException`

Method Summary
`void` | `destroy()`
`static Util.Process` | `start(java.lang.String[] args, java.io.File homeDir, java.util.Map env, boolean tryOtherLocations)` Starts a CGI process and returns the process handle.
`int` | `waitFor()`

Methods inherited from class php.java.bridge.Util.Process
`exitValue, getErrorStream, getInputStream, getOutputStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `Util.Process`

### waitFor

    public int waitFor()
                throws java.lang.InterruptedException

  Overrides:
    `waitFor` in class `Util.Process`
  Throws:
    `java.lang.InterruptedException`

### start

    public static Util.Process start(java.lang.String[] args,
                                     java.io.File homeDir,
                                     java.util.Map env,
                                     boolean tryOtherLocations)
                              throws java.io.IOException

  Starts a CGI process and returns the process handle.

  Parameters:
    `args` - The args array, e.g.: new String[]{null, "-b", ...};. If args is null or if args[0] is null, the function looks for the system property "php.java.bridge.php_exec".
    `homeDir` - The home directory. If null, the current working directory is used.
    `env` - The CGI environment. If null, Util.DEFAULT_CGI_ENVIRONMENT is used.
  Returns:
    The process handle.
  Throws:
    `java.io.IOException`
  See Also:
    `Util.checkCgiBinary(StringBuffer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD